Compiz Fusion no Ubuntu

Para quem conhece o Compiz e o Beryl, nossos antigos amigos do desktop, vai se impressionar com a junção dos 2 programas. O Compiz Fusion chega com algumas alterações relevantes, como o reflexo do cubo e maior controle dos efeitos visuais do sistema. Vamos ver aqui como instalar o Compiz Fusion no Ubuntu 7.04.

[ Hits: 104.192 ]

Por: Robert Lucas em 11/08/2007 | Blog: http://informando.wordpress.com


Introdução



Hoje quando se fala em efeitos visuais em sistemas operacionais, a grande maioria da população vai logo pensando no Windows Vista (que tem efeitos incomparavelmente inferiores ao do nosso Compiz Fusion) e se restringem a isto. Mas quem utiliza Linux sabe o que nosso sistema nos proporciona e para aqueles que estão chegando agora e ainda não conhecem o Compiz Fusion, aqui estarei explicando como fazer para instalá-lo no Ubuntu 7.04 de modo rápido e fácil, bastando resumidamente ter acesso a Internet e baixar os pacotes necessários.

Veremos que é muito fácil deixar o seu sistema com um visual de responsabilidade e efeitos surpreendentes.

Mãos na massa... ;]

Requisitos básicos:
  • Ubuntu Feisty Fawn 7.04
  • Acesso a Internet
  • 256 MB de RAM
  • Placa de vídeo com suporte a XGL

Confira 2 screenshots do meu Compiz Fusion:

  

    Próxima página

Páginas do artigo
   1. Introdução
   2. Instalação
   3. Configurando e iniciando
Outros artigos deste autor

Ubuntu 10.04 no Notebook Acer 5532

OpenSUSE 10.2 sempre atualizado

Desktop 3D - XGL + Compiz + KDE

Inclusão Digital no Brasil

Ubuntu Studio 10.04 conheça e instale

Leitura recomendada

Biometria: Transforme-se no usuário root com sua impressão digital

NFS simples e fácil usando Mandriva e Kurumin

Utilizando GNU/Autotools em Projetos

Agora SIM, aMSN com suporte a anti-aliasing

Instalação e correção de erros do DBDesigner 4 no Linux

  
Comentários
[1] Comentário enviado por Raptor em 11/08/2007 - 20:45h

Olá amigo, quais as adaptações que necessito fazer para instalar o Pacote no Kubuntu?
Obrigado.

[2] Comentário enviado por lucianomarques1 em 12/08/2007 - 11:26h

Funcionou quase tudo, exceto duas coisas:

1° - sudo apt-get install compizconfig-backend-gnome

Nessa parte o apt mandou uma mensagem dizendo que não tinha candidato para instalação, sugeriu um outro pacote:

$ sudo apt-get install compizconfig-backend-gnome
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências
Lendo informação de estado... Pronto
O pacote compizconfig-backend-gnome não está disponível, mas é referenciado por outro pacote.
Isso pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte
No entanto, os pacotes a seguir o substituem:
libcompizconfig-backend-gconf
E: O pacote compizconfig-backend-gnome não tem candidato para instalação)

Eu instalei esse outro pacote (pode ser esse o motivo das bordas terem sumido) libcompizconfig-backend-gconf.

2° - As bordas da janelas simplesmente sumiram e quando chamo o terminal, aparece tudo branco, não se enxerga nada.

De qualquer forma, seu artigo é bom

[ ]'s e no aguardo de uma possível solução

Luciano.

[3] Comentário enviado por robertlucas em 12/08/2007 - 11:27h

Raptor:

É o seguinte, para instalar no Kubuntu, você deverá alterar apenas os arquivos que referenciam o Gnome, pelo KDE, nada mais...
O repositorio é o mesmo, então você vai fazer a seguinte alteração.

compiz-gnome -> compiz-kde
compizconfig-backend-gnome -> compizconfig-backend-kde

Só isto...

Abraços

[4] Comentário enviado por robertlucas em 12/08/2007 - 11:39h

lucianomarques1

Cara, procura informações aqui no VOL sobre conflito do JAVA com o Compiz e dê uma lida nas soluções...
Isto que esta dando aí é problema típico deste conflito.
Dê uma conferidinha e nos retorne se conseguiu solucionar.

Abraços

[5] Comentário enviado por f_Candido em 12/08/2007 - 16:48h

Muito bom seu tutorial, fiz as adaptações para Usar com o KDE, e funcionou tudo bem.
Vlws

[6] Comentário enviado por alanskate em 12/08/2007 - 23:26h

muito bom, porém, achei a tela de configuração do compiz muito dificil, as opções avançadas parecem estar escondidas, mas fora isso ficou muito bom!!

e um detalhe: tem que retirar os pacotes antigos para não ter conflitos.

Alan

[7] Comentário enviado por lucianomarques1 em 13/08/2007 - 09:49h

Ícone do Compiz-Fusion,

Para complementar o artigo, acho interessante criar tambem o ícone para uma configuração mais rápida, bom quem quiser tá aqui OK ;)

http://www.vivaolinux.com.br/dicas/verDica.php?codigo=8978

Estou usando e recomendo.

[ ]'s

Luciano.

[8] Comentário enviado por artin em 13/08/2007 - 11:15h

Conforme o Luciano disse acima, realmente as bordas das janelas somem quando acionado o Compiz...

resolvi da seguinte forma: ao iniciar o comando com:

compiz --replace&

note que (--replace&) está sem o espaço no entre replace e &... ainda não intendi por funciona desta foma, mas resolveu aqui...

[9] Comentário enviado por muskhd em 13/08/2007 - 12:57h

uso uma placa ati radeon 9600, tudo instalado direito, mas não aparece a borda da janela, como arrumo isso?

[10] Comentário enviado por muskhd em 13/08/2007 - 13:06h

ja resolvei, adicionei uma linha no xorg.conf
em sesão screen
Option "AddARGBGLXVisuals" "True"

[11] Comentário enviado por pink em 13/08/2007 - 13:16h

Parbéns, amei seu artigo, eu não conhecia o Compiz Fusion, somente o Beryl... nunca gostei desses efeitos visuais mas confesso que ficou maneiro meu Linux, a diferença é que meu style é todo cor-de-rosa rsrsrs muito fofo. É por isso que eu amo Linux, liberdade e compartilhamento das informações (não tem preço).
Abraço, Michele.

[12] Comentário enviado por robertlucas em 13/08/2007 - 14:26h

Para solucionar o problema com as bordas faca o seguinte, digite no terminal

sudo nvidia-xconfig --add-argb-glx-visuals -d 24

So isso...

[]`s

[13] Comentário enviado por muskhd em 13/08/2007 - 16:58h

minha placa é uma ati, mas valeu pela dica

[14] Comentário enviado por andregondim em 14/08/2007 - 00:46h

Bem semelhante ao que eu já escrevi aqui no VOL

http://www.vivaolinux.com.br/dicas/verDica.php?codigo=8826

Abraços!! ;)

[15] Comentário enviado por evilrick em 14/08/2007 - 11:36h

artin ,

Acho que isso é problema do próprio gnome. Eu tinha o mesmo pro qdo fui tentar o gnome com openbox em vez do metacity. Só funcionou com o & no final.

[16] Comentário enviado por robertlucas em 14/08/2007 - 12:06h

evilrick | artin

Não sei bem o que seria este problema, ou melhor, o que ocasiona isto, mas fiz a instalação em outra maquina e deu isto... Mas foi simples solucionar, com o amsn ja aberto, ative o Compiz, assim a janela fica normal, caso a janela de conversação também esteja sem as bordas, faça o mesmo processo, desabilite e habilite o compiz, assim ficou tudo 100% aqui... Pelo menos aqui pra mim deu certo, não sei se daria na situação de vocês.

Abraços

[17] Comentário enviado por rbamartins em 14/08/2007 - 20:41h

?comentario= Cara, eu faço uso do jdk e jre em minha maquina, pois sou programador java. Já instalei o beryl antes e sempre bugou meu ubuntu. Me disseram q era isso mesmo q o java bugava com beryl. Sabe dizer se é isso mesmo ou como posso instala-lo sem correr risco deste tipo em meu s.o???

[18] Comentário enviado por removido em 15/08/2007 - 00:04h

Olá rbamartins! Eu tb sou programador java e resolvi todos os problemas com um simples:

export AWT_TOOLKIT=MToolkit

Qualquer coisa me contacta franklin.desenv@gmail.com, a gente resolve essa pendenga e publica pro pessoal se o export não resolver!

Abraço!

[19] Comentário enviado por raulsummers em 15/08/2007 - 13:05h

Olá galera, segui o artigo à risca e recebi a seguinte msg de erro:
Fatal: Failed test: texture_from_pixmap support
Checks indicate that it's impossible to start compiz on your system.
Alguem ai pode ajudar?

[20] Comentário enviado por jorge.s em 15/08/2007 - 19:17h

cara realmente funciona vc ta de parabens pelo artigo abraços.

[21] Comentário enviado por brunogves em 17/08/2007 - 19:02h

Amigos,

Tô tendo dificuldades pra instalar o Compiz Fusion...
Quando executo o primeiro comando do passo 4, aparece essa mensagem aqui:

Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
Alguns pacotes não puderam ser instalados. Isso pode significar que
você solicitou uma situação impossível ou se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram tirados do Incoming.
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
compiz: Depende: compiz-core mas não vai ser instalado
Depende: compiz-plugins mas não vai ser instalado
compiz-gnome: Depende: libatk1.0-0 (>= 1.13.1) mas 1.11.4-0ubuntu1 está para ser instalado
Depende: libbonobo2-0 (>= 2.15.0) mas 2.14.0-0ubuntu2 está para ser instalado
Depende: libbonoboui2-0 (>= 2.15.1) mas 2.14.0-0ubuntu1 está para ser instalado
Depende: libc6 (>= 2.5-0ubuntu1) mas 2.3.6-0ubuntu20.5 está para ser instalado
Depende: libcairo2 (>= 1.4.0) mas 1.0.4-0ubuntu1 está para ser instalado
Depende: libdbus-1-3 (>= 0.94) mas não está instalável
Depende: libdbus-glib-1-2 (>= 0.73) mas 0.60-6ubuntu8.1 está para ser instalado
Depende: libdecoration0 mas não vai ser instalado
Depende: libfontconfig1 (>= 2.4.0) mas 2.3.2-1.1ubuntu12 está para ser instalado
Depende: libglib2.0-0 (>= 2.12.9) mas 2.10.3-0ubuntu1 está para ser instalado
Depende: libgnome-keyring0 (>= 0.7.1) mas 0.4.9-1ubuntu1 está para ser instalado
Depende: libgnome-window-settings1 mas não está instalável
Depende: libgnomeui-0 (>= 2.17.1) mas 2.14.1-0ubuntu3 está para ser instalado
Depende: libgnomevfs2-0 (>= 1:2.17.90) mas 2.14.2-0ubuntu1 está para ser instalado
Depende: libgtk2.0-0 (>= 2.10.3) mas 2.8.20-0ubuntu1.1 está para ser instalado
Depende: liborbit2 (>= 1:2.14.1) mas 1:2.14.0-0ubuntu1 está para ser instalado
Depende: libpango1.0-0 (>= 1.16.2) mas 1.12.3-0ubuntu3 está para ser instalado
Depende: libpopt0 (>= 1.10) mas 1.7-5 está para ser instalado
Depende: libwnck18 (>= 2.15.90) mas 2.14.2-0ubuntu1 está para ser instalado
Depende: libxfixes3 (>= 1:4.0.1) mas 1:3.0.1.2-0ubuntu3 está para ser instalado
Depende: libxrandr2 (>= 2:1.2.0) mas 1:1.1.0.2-0ubuntu4 está para ser instalado
E: Pacotes quebrados



O que pode estar acontecendo?
Obrigado,

Bruno

[22] Comentário enviado por lippec em 17/08/2007 - 19:08h

Olá... sou novo usuario de Linux escolhi o Ubuntu ..
1° maravilhado com os graficos .
mas estou com uma pequena dificuldade quanto ao plugin screen saver ele não esta funcionando . gostaria de saber se tem que configurar algum parametro todos meus efeitos estao funcionando normalmente tenho uma placa ATI X1050 pci e.
haaaaaaa e quanto as configurações das janelas pegando fogo no beryl as configs sem problemas mas no compiz fusion nao consegui alguem poderia me ajudar ? celltec.com@hotmail.com

[23] Comentário enviado por jorge.s em 18/08/2007 - 00:23h

queimar:

entre na configuração do compiz la va em effects e acione o animations entre na configuração dele e um exemplo la vai ter a aba minimize animation se tiuver algume efeito la clique em edit e selecione o burn ou queimar.

caso não tenha nenhum clique em adicionar e selecione o burn ou queimar configure o tempo desejado para efeito e pronto.

o mesmo vale para todas as ações tipo fecharf janela etc.. basta ir na aba correspondente a ação.

espero ter ajudado.
boa sorte ate+


[24] Comentário enviado por jorge.s em 18/08/2007 - 00:32h

brunogves, tenta um sudo apt-get -f install e refaça... aqui funcionou..

[25] Comentário enviado por removido em 18/08/2007 - 13:12h

sou iniciante de Linux/Ubuntu e instalei Compiz fusion tal como enunciado neste tutorial.
Desde já muito obrigado por este tutorial

Tnho um problema, tenhu um portatil com 512 Ram / 64 de grafica partilhada, o meu problema é k cada vez k faço os comandos para Inicializar o Compiz Fusion, ele me diz k o Compiz n pode ser executado pq tou usando VESA drivers !!!

Alguém me pode ajduar sff :?

Obrigado pessoal


EDIT: Como s nao chegasse, afinal ao fazer os comandos para executar, ele n executa, mas se for á configuraçao do compiz e mudar por ex o nº de areas de rabalho, ele atera-as ( no entanto n fica com efeitos graficos )

[26] Comentário enviado por gyann em 18/08/2007 - 22:03h

Robert, boa noite!

Tenho um notebook compaq R4000 com uma placa ATI Radeon 200m e estou tentando instalar o compiz fusion, segui os passos do seu tutorial, mas não deu certo. Já instalei o beryl, mas não acontece nada.
S.O. Ubuntu 7.04. Poderia me ajudar?

Desde já agradeço.

[27] Comentário enviado por robertlucas em 19/08/2007 - 11:35h

raulsummers

Amigo, poderia nos dar um pouco mais de detalhes?
Tipo, dá o erro quando executa qual processo?
Apresentou algum erro no processo de instalação?
Já tentou remover tudo e instalar novemente?

Abraços

[28] Comentário enviado por robertlucas em 19/08/2007 - 11:42h

brunogves

Amigo,
se não me engano você deve ter deixado alguma coisa incompleta pra trás... Tenho quase certeza de ter sido a chave apt-key...

Faz o seguinte, digita no terminal

sudo apt-get update

e depois

wget http://download.tuxfamily.org/3v1deb/DD800CD9.gpg -O- | sudo apt-key add -

So passe pra etapa seguinte se o comando acima lhe der a resposta OK no final...
Tá bom?
Eu acho que foi isto que pode ter acontecido... ;]

Dá uma tentativa ai pra gente, e nos retorne com a resposta...

Abraços

[29] Comentário enviado por robertlucas em 19/08/2007 - 11:48h

lippec

Cara,
la no screen saver, você tem que selecionar o icone, depois clicar no botão e dentro das opçoes do screen saver, selecionar o START AUTOMATICALLY e fazer as configurações do tempo que quiser...

Vê se resolve o teu problema... ;] Acho ser só isto...

o jorge.s respondeu a sua segunda duvida...

Qualquer duvida a mais, poste aqui...

Abraços

[30] Comentário enviado por robertlucas em 19/08/2007 - 11:54h

pekboy

Cara, é o seguinte...
A tua placa tem suporte a XGL? Efeitos 3D...
Pode ser este o problema, a placa não dar suporte as efeitos 3D ou os drivers que habilitam esses efeitos não estão instalados... Poste aqui o resultado do comando LSPCI para eu ver qual o modelo de tua placa...

Abraços

[31] Comentário enviado por robertlucas em 19/08/2007 - 11:58h

gyann

Amigo, os drivers de sua placa estão instalados corretamente?
Pode ser só este probleminha que esteja impedindo de habilitar os efeitos...

Faz o seguinte...

Sistema -> Administração -> Gerenciador de drivers restritos

Assim o sistema atualiza o driver da placa, casa ainda nao tenha sido instalado e libera o pacote para suporte a drivers restritos...

Faz esse processo e me responda, por favor...

Abraços

[32] Comentário enviado por gyann em 21/08/2007 - 21:20h

Robert Lucas,

Já havia feito isso antes, o driver da placa proprietária está instalado.
¨Driver de aceleração de vídeo ATI - Habilitado - Em uso¨
Quando executo os comandos para startar o compiz, aparece o erro abaixo:

rm -fR ~/.beryl*
rm -fR ~/.emerald*
rm -fR ~/.compiz*
compiz --replace &

Fatal: Failed test: texture_from_pixmap support
Checks indicate that it's impossible to start compiz on your system.

[33] Comentário enviado por shirglei em 24/08/2007 - 16:35h

tenho este mesmo problema, se vc poder fazer um tutoria deste para instalação do compiz com placas ati, seria otimo....ja tentei varios tutoriais e ainda nao consegui fazer funcionar nem o beryl nem o compiz.. por favor ajude-nos, ja estou tentando a mais de um mes e nada

[34] Comentário enviado por yannk em 30/09/2007 - 07:05h

Olá pessoal.
Sou novo usuário do Linux. Ontem instalei o Ubuntu 7.04 - the Feisty Fawn em meu micro. Tinha instalado o Beryl que funciona perfeitamente. Então comecei a instalar o Compiz Fusion conforme o Tutorial aqui descrito, mas deu os mesmos erro que o Lucianomarques1 citou.

Vamos lá.

1 erro: sudo apt-get install compiz compiz-gnome

Descompactando substituto compiz-gnome ...
dpkg: erro processando /var/cache/apt/archives/compiz-gnome_1%3a0.5.5~git20070928+3v1ubuntu0_i386.deb (--unpack):
tentando sobrescrever `/usr/lib/compiz/libgconf.so', que também está no pacote compiz-plugins
dpkg-deb: subprocesso paste morto por sinal (Pipe quebrado)
Erros foram encontrados durante processamento de:
/var/cache/apt/archives/compiz-gnome_1%3a0.5.5~git20070928+3v1ubuntu0_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


2 erro: sudo apt-get install compizconfig-settings-manager

Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências
Lendo informação de estado... Pronto
Você deve querer rodar `apt-get -f install' para corrigir isso:
Os pacotes a seguir têm dependências desencontradas:
compiz: Depende: compiz-decorator
compiz-gnome: Depende: compiz-gtk (= 1:0.3.6-1ubuntu13) mas não vai ser instalado
compizconfig-settings-manager: Depende: python-compizconfig mas não vai ser instalado
E: Dependências desencontradas. Tente `apt-get -f install' sem nenhum pacote (ou especifique uma solução).


3 Erro: sudo apt-get install compizconfig-backend-gnome

Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências
Lendo informação de estado... Pronto
O pacote compizconfig-backend-gnome não está disponível, mas é referenciado por outro pacote.
Isso pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte
No entanto, os pacotes a seguir o substituem:
libcompizconfig-backend-gconf
E: O pacote compizconfig-backend-gnome não tem candidato para instalação

4 Erro: sudo apt-get install compiz-fusion-*


Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências
Lendo informação de estado... Pronto
Nota, selecionando compiz-fusion-plugins-unofficial para expressão regular 'compiz-fusion-*'
Nota, selecionando compiz-fusion-plugins-extra para expressão regular 'compiz-fusion-*'
Nota, selecionando compiz-fusion-plugins-unsupported para expressão regular 'compiz-fusion-*'
Nota, selecionando compiz-fusion-plugins-main para expressão regular 'compiz-fusion-*'
Você deve querer rodar `apt-get -f install' para corrigir isso:
Os pacotes a seguir têm dependências desencontradas:
compiz: Depende: compiz-decorator
E: Dependências desencontradas. Tente `apt-get -f install' sem nenhum pacote (ou especifique uma solução).

Então tentei esse tal apt-get -f install

E outro erro aconteceu:

Os pacotes a seguir têm dependências desencontradas:
compiz: Depende: compiz-decorator
E: Dependências desencontradas. Tente `apt-get -f install' sem nenhum pacote (ou especifique uma solução).
luciano@Luke:~$ apt-get -f install
E: Não foi possível abri arquivo de trava /var/lib/dpkg/lock - open (13 Permissão negada)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?

Fui ver o arquivo e ele está bloqueado e nem posso alterar na propriedade do arquivo, a guia permissão informa que eu não sou o dono e que não poderei modificar.

Resolvi ir pelo adicionar / Remover

Selecionei os Compiz e apliquei.
Alguns instalaram, mas o compiz-gnome está dando erro:

E: /var/cache/apt/archives/compiz-gnome_1%3a0.5.5~git20070928+3v1ubuntu0_i386.deb: tentando sobrescrever `/usr/lib/compiz/libgconf.so', que também está no pacote compiz-plugins


O que eu faço?
Não saco praticamente nada de Linux.

OBS: Não tenho o KDE instalado.

Obrigado!

[35] Comentário enviado por kinncj em 21/10/2007 - 10:51h

cara, tenho o mesmo problema da ati tbm, tenho os drivers instalados, ateh o catalyst nessa caca, no gerenciador de drivers o suporte 3d da placa tah ativado,
FGLRXINFO:
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon Xpress Series
OpenGL version string: 2.0.6747 (8.40.4)

ao dar compiz --replace aparece o erro:
Fatal: Failed test: texture_from_pixmap support
Checks indicate that it's impossible to start compiz on your system.


[36] Comentário enviado por fabiohiguti em 09/11/2007 - 12:28h

?comentario=[1] 7592

Segui os passos e apareceu esse erro, alguem sabe oq pode ser?

Obrigado,

# Checking for Xgl: xvinfo: Unable to open display
not present.
xset: unable to open display ""
AIEEEEH, no Log file found
xset: unable to open display ""

Detected PCI ID for VGA: 00:02.0 0300: 8086:27a2 (rev 03) (prog-if 00 [VGA])
Checking for texture_from_pixmap: not present.
Trying again with indirect rendering:
Checking for texture_from_pixmap: not present.
aborting and using fallback: /usr/bin/metacity
Erro do gerenciador de janelas: Unable to open X display

[37] Comentário enviado por fpena em 21/11/2007 - 14:33h

Eu estava usando o ubuntu com o compiz tranquilamente. Mas eu não tinha instalado "libcompizconfig-backend-gconf" e mesmo assim estava funcionando sem problemas.
Agora por motivos de força maior eu tive que reinstalar o ubuntu e dessa vez eu instalei o "libcompizconfig-backend-gconf". Agora estou tendo problemas na inicialização do compiz.
Já tentei reinstalar e tudo mas não estou tendo sucesso. Quando eu ligo o pc ele inicia com quatro desktops aparecendo na barrinha inferior. Mas segundos depois fica com uma só. Ai eu executo o comando "compiz --replace &" e aparece os quatro desktops e fica ativada a opção desktop 3d. Mas eu mexo nas configurações do compiz e não da resultado nenhum. Ex. Ativo janelas 3d mas elas não ficam. Ai qnd reinicio o pc.... é tudo denovo.

Quando executo o compando "compiz --replace &" aparece o seguinte:

root@linux-os-ubuntu:/home/fernando# compiz --replace &
[1] 6287
root@linux-os-ubuntu:/home/fernando# /usr/bin/compiz.real (dbus) - Error: dbus_bus_get error: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
/usr/bin/compiz.real (dbus) - Error: InitObject failed
/usr/bin/compiz.real (core) - Error: Couldn't activate plugin 'dbus'
GConf backend: There is an unsupported value at path /apps/compiz/plugins/wobbly/screen0/options/friction. Settings from this path won't be read. Try to remove that value so that operation can continue properly.
GConf backend: There is an unsupported value at path /apps/compiz/plugins/wobbly/screen0/options/spring_k. Settings from this path won't be read. Try to remove that value so that operation can continue properly.
GConf backend: There is an unsupported value at path /apps/compiz/plugins/scale/allscreens/options/initiate_edge. Settings from this path won't be read. Try to remove that value so that operation can continue properly.

------------------------------------------------------------------------------------------
Acho que vou tentar desinstalar o backend... O que vcs me dizem?
E como posso desinstalar o backend pra eu fazer um teste?

[38] Comentário enviado por fpena em 21/11/2007 - 15:20h

eu sabia........removi o backend e agora o compiz ta funcionando que eh uma beleza...vou deixar assim mesmo....
mas enfim... se alguem souber oq aconteceu aki ...

[39] Comentário enviado por marcosh.bello em 30/11/2007 - 22:54h

eu sou meio leigo no asunto de linux, eu instalei o beryl que tá rodando muito bem mas, depois desse artigo resolvi intala o compiz, quando eu faço o comando
compiz --replace &
ele roda o Compiz só com uns efeitos eo cubo, quando eu mexo no seting manager ele não muda nada, eu possa marca tudo lá que ele não muda nada, alguem sabe o que fazer
talves meu caso seja igual do fpena, mas não sei como remover o backend.

[40] Comentário enviado por marcosh.bello em 30/11/2007 - 23:11h

ele aparece a seguinte mensagen

root@bello-desktop:/home/bello# compiz --replace&
[1] 13660
root@bello-desktop:/home/bello# /usr/bin/compiz.real (dbus) - Error: dbus_bus_get error: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
/usr/bin/compiz.real (dbus) - Error: InitObject failed
/usr/bin/compiz.real (core) - Error: Couldn't activate plugin 'dbus'
GConf backend: There is an unsupported value at path /apps/compiz/plugins/wobbly/screen0/options/friction. Settings from this path won't be read. Try to remove that value so that operation can continue properly.
GConf backend: There is an unsupported value at path /apps/compiz/plugins/wobbly/screen0/options/spring_k. Settings from this path won't be read. Try to remove that value so that operation can continue properly.
GConf backend: There is an unsupported value at path /apps/compiz/plugins/scale/allscreens/options/initiate_edge. Settings from this path won't be read. Try to remove that value so that operation can continue properly.


----------------------------------------------------------------

E quando eu fecho o terminau ele some as bordas das janelas e não faz maiz nada





[41] Comentário enviado por mandrackhak em 17/01/2008 - 18:27h

Cara a tua dica ta melhor que a primeira uque eu havia visto, sendo que o meu ja ta rodando tudo perfeitamente mas do nada ele ta meu bugado quando inica o sistema ele abre a minha pasta pessoal e clico no botao desligar ele nao ta funcinando e se eu clicar em propriedades a area e trabalho tambem nao acontece nada tem algum comando pra resolver isso??????????????????

[42] Comentário enviado por shadowyhunter em 27/01/2008 - 01:57h

pessoal, segui as isntrucoes do artigo mas num funfou...

deu pau geral... nao sei onde errei, mas algumas coisas graficas do s.o nao estao funcionando. desculpe minha leiguice com o linux...

entao vamos:

o synamptic nao tah funcionando direito, ele pede para que eu execute:

sudo apt-get install -f

eu faço e olha o que rola:

shadowyhunter@shadowyhunter-desktop:~$ sudo apt-get install -f
Password:
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes extra a seguir serão instalados:
compiz-gnome
Os pacotes a seguir serão atualizados :
compiz-gnome
1 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 2 não atualizados.
2 pacotes não totalmente instalados ou removidos.
É preciso fazer o download de 0B/291kB de arquivos.
Depois de desempacotamento, 1376kB adicionais de espaço em disco serão usados.
Quer continuar [S/n] ? s
(Lendo banco de dados ... 105726 arquivos e diretórios atualmente instalados.)
Preparando para substituir compiz-gnome 1:0.3.6-1ubuntu13 (usando .../compiz-gnome_1%3a0.5.5~git20071006+3v1ubuntu0_i386.deb) ...
Descompactando substituto compiz-gnome ...
dpkg: erro processando /var/cache/apt/archives/compiz-gnome_1%3a0.5.5~git20071006+3v1ubuntu0_i386.deb (--unpack):
tentando sobrescrever `/usr/lib/compiz/libgconf.so', que também está no pacote compiz-plugins
dpkg-deb: subprocesso paste morto por sinal (Pipe quebrado)
Erros foram encontrados durante processamento de:
/var/cache/apt/archives/compiz-gnome_1%3a0.5.5~git20071006+3v1ubuntu0_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

copiei tudo para voces verem.

se nao der certo, acho q vou formatar o hd e instalar o linux de novo. eh chato baixar as atualizações mas eh melhor do que deixar como esta. confesso que estou gostando, e achei muuito divertido varar noites para configurar algumas coisas.

aguardo contato!


[43] Comentário enviado por removido em 19/02/2008 - 20:38h

Consegui instalar tudo, passo a passo, consegui abrir o configurador CompizConfig, mexo em tudo, mas não acontece nada com as janelas, nem com o Cubo. Fica a mesma coisa de quando instalei o Ubuntu 7.04.

Placa de video Radeon 9600XT, 256Mb, e aquele teste do "OK" também deu certo. No Gerenciador de Drivers Restritos já está tudo habilitado.

Existe algum botão, tipo APLICAR as configurações ?

Abçs

[44] Comentário enviado por zeluck em 08/03/2008 - 01:38h

?comentario=

funcionado e rodando!!

tive problemas mas nada que o google naum resolva
=D


[]'s


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts